Subject: Re: [PATCH v6 0/8] ptp: IEEE 1588 hardware clock support

From: Christian Riesch <[email-masked]>
Date: Thu, 23 Sep 2010 23:34:06 +0200

Alan Cox wrote:
>> It implies clock tuning in userspace for a potential sub microsecond
>> accurate clock. The clock accuracy will be limited by user space
>> latencies and noise. You wont be able to discipline the system clock
>> accurately.
> 
> Noise matters, latency doesn't. 

Well put! That's why we need hardware support for PTP timestamping to 
reduce the noise, but get along well with the clock servo that is 
steering the PHC in user space.

Christian